# Returns true if the value is an integer as written. Int examples: '5', '5e10'; Not int examples: '5.0', '5.5e10'
def is_int(value):

    try:
        string = str(value)
        no_dots = '.' not in string
        float_convert = float(string).is_integer()

        if no_dots and float_convert:
            return True

    except ValueError:
        pass

    return False


# Returns an integer if value is_int, otherwise returns a float
def cast_int_or_float(value):

    if is_int(value):
        return int(value)
    else:
        return float(value)

